Bug 210351

Summary: [ macOS ] scrollingcoordinator/mac/latching/horizontal-overflow-back-swipe.html is flaky timing out
Product: WebKit Reporter: Jacob Uphoff <jacob_uphoff>
Component: New BugsAssignee: Simon Fraser (smfr) <simon.fraser>
Status: RESOLVED FIXED    
Severity: Normal CC: simon.fraser, thorton, webkit-bot-watchers-bugzilla, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Jacob Uphoff 2020-04-10 13:22:12 PDT
scrollingcoordinator/mac/latching/horizontal-overflow-back-swipe.html

This test started to flaky timeout after it was added in r259872

History:

https://results.webkit.org/?suite=layout-tests&test=scrollingcoordinator%2Fmac%2Flatching%2Fhorizontal-overflow-back-swipe.html

Diff:

--- /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/tiled-drawing/simple-document-with-margin-tiles-expected.txt
+++ /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/tiled-drawing/simple-document-with-margin-tiles-actual.txt
@@ -10,12 +10,12 @@
       (bounds 1208.00 2021.00)
       (contentsOpaque 1)
       (visible rect 0.00, 0.00 785.00 x 585.00)
-      (coverage rect -392.50, -512.00 1570.00 x 1755.00)
+      (coverage rect 0.00, 0.00 785.00 x 585.00)
       (intersects coverage rect 1)
       (contentsScale 1.00)
-      (tile cache coverage -512, -512 2048 x 2048)
+      (tile cache coverage 0, 0 1024 x 1024)
       (tile size 512 x 512)
-      (top left tile -1, -1 tiles grid 4 x 4)
+      (top left tile 0, 0 tiles grid 2 x 2)
       (in window 1)
     )
   )
Comment 1 Radar WebKit Bug Importer 2020-04-10 13:23:21 PDT
<rdar://problem/61601449>
Comment 2 Radar WebKit Bug Importer 2020-04-10 13:23:25 PDT
<rdar://problem/61601464>
Comment 3 Jacob Uphoff 2020-04-10 13:28:37 PDT
Sorry, wrong diff:

--- /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/scrollingcoordinator/mac/latching/horizontal-overflow-back-swipe-expected.txt
+++ /Volumes/Data/slave/mojave-debug-tests-wk2/build/layout-test-results/scrollingcoordinator/mac/latching/horizontal-overflow-back-swipe-actual.txt
@@ -1,14 +1,5 @@
-Scrolls vertically
-Scrolls horizontally
-A back swipe, over a scrolled-to-left overflow, should start a navigation gesture.
+#PID UNRESPONSIVE - WebKitTestRunner (pid 16747)
+FAIL: Timed out waiting for notifyDone to be called
 
-On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
-
-
-Swipe to the left
-PASS minXOffset is 0
-PASS maxXOffset is -1000
-PASS successfullyParsed is true
-
-TEST COMPLETE
-
+#EOF
+#EOF
Comment 4 Jacob Uphoff 2020-04-15 10:28:24 PDT
Set expectations here: https://trac.webkit.org/changeset/260138/webkit
Comment 5 Simon Fraser (smfr) 2020-04-15 19:26:47 PDT
(In reply to Jacob Uphoff from comment #4)
> Set expectations here: https://trac.webkit.org/changeset/260138/webkit

This was done incorrectly. LayoutTests/TestExpectations skips all of scrollingcoordinator (line 55) and LayoutTests/TestExpectations/platform/mac-wk2/ enables them, but this added an expectation in LayoutTests/platform/mac/TestExpectations:1978 which makes scrollingcoordinator/mac/latching/horizontal-overflow-back-swipe.html run (and always time out) in WebKit1.
Comment 6 Simon Fraser (smfr) 2020-06-02 10:49:55 PDT
Created attachment 400838 [details]
Patch
Comment 7 EWS 2020-06-02 13:44:10 PDT
Committed r262438: <https://trac.webkit.org/changeset/262438>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 400838 [details].
Comment 8 Simon Fraser (smfr) 2020-06-02 20:08:36 PDT
https://trac.webkit.org/r262472